DSELECT(8)

NAME
dselect - a user tool to manage Debian GNU/Linux packages

SYNOPSIS
dselect [options]
dselect [options] action ...

DESCRIPTION
dselect is the primary user interface for installing, removing and managing Debian GNU/Linux packages. It is an front-end to dpkg(8). Normally dselect is invoked without parameters, but some commandline parameters are still available. The usage of dselect is pretty self-explanatory, and also an internal help-system is included, which describes the keystrokes and some general concepts. Read the help.

  ACTIONS

access, update, select, install, config, remove
    These actions automatically selects corresponding commands from the main menu, without even showing the main menu to you.

quit
    Do nothing but quit.

menu
    Displays the default menu. This is equivalent to starting dselect with no parameters.

  OPTIONS

--admindir <directory>
    Changes the directory where datafiles are located. This defaults to /var/lib/dpkg. Note, that these files are just some internal datafiles, actual Debian packages doesn't have to be located here.

--debug <file> | -D<file>
    Turn on debugging. Debugging information is sent to <file>.

--help
    Print a brief help text.

--licence
    Print the licence of dselect.

--version
    Print version information.

BUGS
This manpage doesn't document the options quite correctly, and has formatting inconsistent with other manpages. The dselect package selection interface is confusing or even alarming to the new user. There is no easy way automatically to download and install packages via anonymous FTP.

SEE ALSO
deb(5) , dpkg-deb(8) , dpkg(8) and deb-control(5)

AUTHOR
dselect was written by Ian Jackson (ijackson@gnu.ai.mit.edu). This manual page is by Juho Vuori (javuori@cc.helsinki.fi).